Skip to main content
POST
/
v1beta
/
documents
/
{document_id}
/
untrash
TypeScript
import { Factify } from "@factify/sdk";

const factify = new Factify({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await factify.documents.untrash({
    documentId: "doc_01h2xcejqtf2nbrexx3vqjhp41",
    body: {},
  });

  console.log(result);
}

run();
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Path Parameters

document_id
string
required

Document ID.

Pattern: ^doc_[0-9a-hjkmnp-tv-z]{26}$
Example:

"doc_01h2xcejqtf2nbrexx3vqjhp41"

Body

application/json

UntrashDocumentRequest identifies the document to restore.

Response

Success

UntrashDocumentResponse is empty on success.